Problem installing PGI compiler on Ubuntu 12.04

Hi,
I have installed ubuntu12.04 replacing my old ubuntu 11.04 where I had a pgi 12.5 Fortran compiller working well, I’m trying to reinstall it on my new Ubuntu 12.04 and I I’m getting the following error

pgcc-Error-Please run makelocalrc to complete your installation

when I run makelocalrc I get

ERROR: directory instalar: /usr/lib/gcc/i686-linux-gnu/4.6: not found;
successful use of compilers requires existence of gcc libraries

I have checked the the existence of this directory and it exists.

Any Idea ??

Thank you

Mariano

Mariano,

This is a new ubuntu release, so it could be that. We usually have to
modify something in the install process for changes Ubuntu makes in
new releases.

Other than that, that message indicates that gcc is not installed.

Send the following output dialogs to license@pgroup.com,
using the hello.c program.

% more hello.c
#include <stdio.h>
int main()
{
printf(" hello\n");
}

  1. gcc -m32 -v -o hello_32 hello.c
    file hello_32

  2. gcc -m64 -v -o hello_64 hello.c
    file hello_64

  3. pgcc -m32 -dryrun hello.c

  4. pgcc -m64 -dryrun hello.c

  5. lsb_release


    This will tell us if gcc is installed and in your path, for both 32-bit and 64-bit.
    We need gcc headers and libc to make a compatible PGI installation.

regards,
dave